<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_a11bd5fe4a617575472" . "6d934efa5c55d" => base64_decode("U3Rhcn" . "QgYXQ6" . "IA=="), "_c06c961f393" . "742ecfd52b72" . "263ac9470" => base64_decode("aW50dmF" . "s"));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a11bd5fe4a6175754726" . "d934efa5c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}